Sweep funds

The sweep call spends the full balance of the wallet to the provided address. On UTXO coins, the sweep call will fail if the wallet has any unconfirmed funds, or if there are more unspents than can be sent with a single transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A cryptocurrency or token ticker symbol.

string
required

The wallet ID.

Body Params
string

The destination address for the sweep transaction

string

Passphrase to decrypt the user key on the wallet

string

Private key in string form, if walletPassphrase is not available

string

Two factor auth code to enable sending the transaction

string

Number of blocks to wait to confirm the transaction

Custom fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte.

If the feeRate is less than the minimum required network fee, then the minimum fee applies. For example, 1000 sat/kvByte, a flat 1000 microAlgos, or a flat 10 drops of xrp. For XRP, the actual fee is usually 4.5 times the open ledger fee.

Note: The feeRate overrides the maxFeeRate and minFeeRate.

(BTC only) The maximum fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte. The maxFeeRate limits the fee rate generated by both feeMultiplier and numBlocks.

Note: The feeRate overrides the maxFeeRate.

boolean
Defaults to false

Use allowPartialSweep: true to sweep part of a wallet when there are too many unspents to empty the wallet in a single transaction. While the expected outcome of a single sweep call would usually be an empty wallet, using the allowPartialSweep option may leave some funds in the wallet. Making repeated calls with the allowPartialSweep option allows emptying wallets with many unspents without consolidating first.

string
enum
Defaults to legacy

[UTXO only] Format of the returned transaction hex serialization. legacy for serialized transaction in custom bitcoinjs-lib format. psbt for BIP174 serialized transaction

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json